
Foreman - Feature #3693

API v2 - accept GET json format of object in PUT/POST requests to add/remove has_many

associations

11/19/2013 03:58 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently we have to use _ids= methods to add/remove relationships. {

"id": 42,

"name": "CentOS",

"architecture_ids": [1,2]

}

This is what we want {

"id": 42,

"name": "CentOS",

"architectures": [     {

"id": 1,

"name": "i386"

},     {

"id": 2,

"name": "x86_64"

}

]

}

Related issues:

Related to Foreman - Bug #4571: "Domain (..) expected, got ActiveSupport::Has... New 03/06/2014

Associated revisions

Revision bbf64d99 - 12/16/2013 03:54 PM - Joseph Magen

fixes #3693 - API v2 - accept GET json format of object in PUT/POST requests to add/remove has_many associations

History

#1 - 11/27/2013 12:07 PM - Joseph Magen

- Project changed from Katello to Foreman

- Category set to API

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1040

#2 - 11/27/2013 12:13 PM - Dominic Cleal

- Target version set to 1.10.0

- translation missing: en.field_release set to 2

#3 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3
https://github.com/theforeman/foreman/pull/1040


#4 - 12/16/2013 04:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bbf64d9900262e42afaec6dd84934ae601c1d4f3.

#5 - 03/06/2014 11:51 AM - Dominic Cleal

- Related to Bug #4571: "Domain (..) expected, got ActiveSupport::HashWithIndifferentAccess(..)" when setting associations with wrapped object

added
